Bug 52088 - NEW port CAD/tochnog
Summary: NEW port CAD/tochnog
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maho Nakata
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-12 02:50 UTC by Pedro F. Giffuni
Modified: 2003-07-13 06:33 UTC (History)
0 users

See Also:


Attachments
port-tochnog.shar (17.67 KB, text/plain)
2003-06-18 20:08 UTC, Pedro F. Giffuni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2003-05-12 02:50:07 UTC
This a Finite Element program. It can be used with CalculiX's pre- and post-
processor. I added all the bells and whistles I found : it supports
hypoplasticity and uses the superlu multithreaded library (PR 52033).(

Fix: 

__________________________________________________
Yahoo! Plus
For a better Internet experience
http://www.yahoo.co.uk/btoffer
--0-39353509-1052704001=:44372
Content-Type: application/base64; name="port-tochnog.uu"
Content-Transfer-Encoding: base64
Content-Description: port-tochnog.uu
Content-Disposition: attachment; filename="port-tochnog.uu"
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--0-39353509-1052704001=:44372--
How-To-Repeat: 
Enjoy.
Comment 1 Maho Nakata freebsd_committer 2003-05-26 08:58:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

I'll handle this
Comment 2 Pedro F. Giffuni 2003-06-18 20:08:26 UTC
This update uses ATLAS instead of BLAS, but we will use the
unthreaded version and SuperLU 2 until the ATLAS port is ready
for the parallel version.

It's also shared to make it easier to commit.

______________________________________________________________________
Yahoo! Mail: 6MB di spazio gratuito, 30MB per i tuoi allegati, l'antivirus, il filtro Anti-spam
http://it.yahoo.com/mail_it/foot/?http://it.mail.yahoo.com/
Comment 3 Maho Nakata freebsd_committer 2003-07-13 06:33:10 UTC
State Changed
From-To: open->closed

New ports added, thanks!